Skip to content

GET API Endpoints.

Deprecated
POST
/api/ml/data/namespaces/{namespace}/http_loadbalancers/{name}/api_endpoints
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/http_loadbalancers/example/api_endpoints \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example" }'

GET list of all API Endpoints associated with the HTTP loadbalancer in format suitable for API Groups management. Deprecated: instead use GetAPIEndpoints in VES.I/o.schema.virtual_host.apiepcustomapi.

Examples of this operation.

namespace
required
string

Namespace Namespace of the HTTP LoadBalancer for the current request.

name
required
string

HTTP LoadBalancer Name HTTP LoadBalancer for the current request.

Media typeapplication/json
Get API Endpoints For Groups Request

Request shape for GET API Endpoints For Groups.

object
name
Http LoadBalancer Name

HTTP LoadBalancer for the current request.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the HTTP LoadBalancer for the current request.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Get API Endpoints For Groups Response

Response shape for GET API Endpoints For Groups request.

object
api_endpoints
API Endpoints

A list of API endpoints associated with the HTTP Loadbalancer.

Array<object>
API Endpoint for API Group Evaluation

Apiep for the Evaluate API Group Builder response.

object
category
Category

The category of the API Endpoint relative to API Inventory.

Array<string>
Allowed values: APIEP_CATEGORY_DISCOVERED APIEP_CATEGORY_SWAGGER APIEP_CATEGORY_INVENTORY APIEP_CATEGORY_SHADOW APIEP_CATEGORY_DEPRECATED APIEP_CATEGORY_NON_API
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
Path

API Endpoint path.

string
<= 1024 characters
risk_score
object
score
score

Score of the vulnerabilities found for this API Endpoint.

number format: float
severity
string
default: APIEP_SEC_RISK_NONE
Allowed values: APIEP_SEC_RISK_NONE APIEP_SEC_RISK_LOW APIEP_SEC_RISK_MED APIEP_SEC_RISK_HIGH APIEP_SEC_RISK_CRITICAL
sensitive_data
Sensitive Data

Sensitive Data of the API endpoint.

Array<string>
Allowed values: SENSITIVE_DATA_TYPE_CCN SENSITIVE_DATA_TYPE_SSN SENSITIVE_DATA_TYPE_IP SENSITIVE_DATA_TYPE_EMAIL SENSITIVE_DATA_TYPE_PHONE SENSITIVE_DATA_TYPE_CREDENTIALS SENSITIVE_DATA_TYPE_APP_INFO_LEAKAGE SENSITIVE_DATA_TYPE_MASKED_PII SENSITIVE_DATA_TYPE_LOCATION
sensitive_data_types
Sensitive Data

Sensitive Data of the API endpoint.

Array<string>
apieps_timestamp
apieps_timestamp

The API endpoints timestamp indicates most recent update of API endpoints happened The API Discovery periodically updates the API endpoints list based on application’s traffic.

string format: date-time
<= 1024 characters
Example
{
"api_endpoints": [
{
"category": [
"APIEP_CATEGORY_DISCOVERED"
],
"method": "ANY",
"risk_score": {
"severity": "APIEP_SEC_RISK_NONE"
},
"sensitive_data": [
"SENSITIVE_DATA_TYPE_CCN"
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example